TAAS - Feature #16

Set ROE
08/10/2022 12:43 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/11/2022
Priority: Normal Due date: 08/13/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:  Shanto Shaji
Module: ROE

Description

Coding Set ROE

List:-

#, Code, Name, Actual ROE, Buying ROE, Selling ROE, Modified By, Date & Time, (Edit icon)
Save

1) Show all ltems but save changed items only
2) Date and Currency wise unique, This case update the records other wise insert

History

#1 - 08/10/2022 12:49 PM - Anil KV

GUI

1) Actual ROE set Buying and Selling ROE if zero

2) Init get BASE1 Currency code(Good Take from global constrain - pls discus with anil), ROE Precision

3) List Actual ROE, Buying ROE, Selling ROE are editable and allowed only double

4) In list add Example column before Modified By, Value -> 1 QAR = 21 INR (1 BASE1 = ActualROE CurrencyCode)

#2 - 08/10/2022 01:52 PM - Anil KV
- Estimated time changed from 20:00 h to 24:00 h

#3 - 08/11/2022 05:42 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#4 - 08/19/2022 09:56 AM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 08/23/2022 04:53 PM - Muhasin PU
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 08/24/2022 11:39 AM - Shanto Shaji
- Status changed from Coding Done to Testing Started
#7 - 08/24/2022 11:56 AM - Shanto Shaji
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

1.Example Column Not Showing in Grid
2.Created by Not Showing in Grid

#8 - 08/24/2022 12:07 PM - Shanto Shaji

Remove Unwanted Code From ts File

#9 - 08/24/2022 06:43 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed and Modified.

#10 - 08/24/2022 06:52 PM - Shanto Shaji

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Started

- % Done changed from 60 to 70
- Tested By set to Shanto Shaji
- Code Reviewed By set to Shanto Shaji

#11 - 08/25/2022 10:40 AM - Shanto Shaji

- Status changed from Reopen Bugs Testing Started to Reopen Bugs Testing Done

- % Done changed from 70 to 80

#12 - 11/10/2022 02:49 PM - Amal Cyriac

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 80 to 50

- Tested By changed from Shanto Shaji to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELD RED
2.SET EFFECTIVE DATE VALIDATION

#13 - 11/28/2022 11:19 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Validations updated.

#14 - 04/14/2023 09:56 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent update on ROE by more than one user at a time
2.Set alignment on OK Button while translation

(Arabic)

#15 - 04/19/2023 01:23 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED.
#16 - 05/05/2023 05:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set validation on grid - GUI crash while values are empty

#17 - 05/08/2023 09:44 AM - Muhasin PU
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#18 - 05/10/2023 09:38 AM - Muhasin PU
- Status changed from Coding Done to Reopen Bugs Coding Done

#19 - 05/31/2023 11:33 AM - Muhasin PU
ROE Precision Based on settings Added.

Date value Change Data Loading Added. ( To Solve : Date Changed then with out click OK button And Save ROE)

#20 - 10/27/2023 01:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.DONT ALLOW TO ADD ALPHABETS IN ROE

#21 - 10/27/2023 04:49 PM - Anil KV

- Assignee changed from Muhasin PU to Baseem Shan

#22 - 10/31/2023 01:04 PM - Junaid M

- Assignee changed from Baseem Shan to Shahil Haris

#23 - 11/07/2023 10:11 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 11/08/2023 12:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#25 - 11/10/2023 10:46 AM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#26 - 11/11/2023 04:24 PM - unnikannan S
TESTING DONE

#27 - 11/23/2023 04:28 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

***GUI CHANGE

1) Rename New Button to Reset (change icon also).
2) Freeze Effective Date widget on Ok button click (With Data)
3) Unfreeze and Clear grid on Reset button click
#28 - 11/24/2023 11:07 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 11/24/2023 12:06 PM - unnikannan S
TESTING DONE

#30 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shahil Haris to Vivekp V

#31 - 09/10/2024 04:41 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#32 - 11/12/2024 09:30 AM - unnikannan S

- Status changed from Testing Done to Reopen Bugs Testing Done

Files

1-CsModel.cs 1.83 KB 08/11/2022 Anil KV
2-tsModel.ts 1.1 KB 08/11/2022 Anil KV
3-CsFile.cs 9.74 KB 08/11/2022 Anil KV
5-TsFile.ts 11.8 KB 08/11/2022 Anil KV
4-CsControllerFile.cs 25.3 KB 08/11/2022 Anil KV
6-HtmiFile.html 1.88 KB 08/11/2022 Anil KV
sql.sql 10.3 KB 08/11/2022 Anil KV

05/04/2025

/4


http://www.tcpdf.org

